Gehostete Websuche
Verwenden Sie das Tool Responses API web_search anstelle eines eigenständigen Endpunkts.
Gehostete Websuche
Model Gate veröffentlicht keine separate /v1/web-search Vertrag anfordern. Verwenden POST /v1/responses mit dem gehosteten web_search Werkzeug.
Anfrage
curl https://api.model-gate.com/v1/responses \
-H "Authorization: Bearer mg_live_..." \
-H "Content-Type: application/json" \
-d '{
"model": "gpt-5.4",
"input": [{"role": "user", "content": [{"type": "input_text", "text": "Find the latest official release notes."}]}],
"tools": [{"type": "web_search"}],
"tool_choice": "required",
"include": ["web_search_call.action.sources"],
"stream": false
}'
Antwort
Das fertige Responses-Objekt umfasst die Modellausgabe und überprüfbare Websuchquellen, wenn das Upstream-Modell die gehostete Suche unterstützt.
{
"id": "resp_...",
"object": "response",
"status": "completed",
"output": [
{
"type": "web_search_call",
"action": {
"sources": [
{"type": "url", "url": "https://example.com/source"}
]
}
},
{
"type": "message",
"content": [
{"type": "output_text", "text": "..."}
]
}
]
}